Aditional analyses: Polychoric PCA, replicated from Gauthier et al. 2021
Stata 17
****polychoric PCA 14 items- use "ESS_Cronos_W2_14items.dta" 
*all - check with Gauthier.
polychoric q55 q56 q57 q60 q61 q63 q64 q65 q66 q67 q68 q69 q70 q71 [pw=w2weight] 
display r(sum_w) // number of cases (with listwise deletion) used to generate the matrix
matrix r = r(R) //  store the polychoric correlation matrix
factormat r, n(1716) names(Need Adv Less BadJob Always ChAtten PaKnow Act PaWorry ChTal AwareExp BasicNeed PaLife LatToys) pcf factor(4)
rotate 
esttab e(r_L) using  fa_allfin.csv

***separately for countries

*Great Britain =2                                                                         
polychoric q55 q56 q57 q60 q61 q63 q64 q65 q66 q67 q68 q69 q70 q71  [pw=w2weight] if cntry ==2 
display r(sum_w) // number of cases (with listwise deletion) used to generate the matrix
matrix r = r(R) //  store the polychoric correlation matrix
factormat r, n(647) names(Need Adv Less BadJob Always ChAtten PaKnow Act PaWorry ChTal AwareExp BasicNeed PaLife LatToys)  pcf factor(4)
rotate 
esttab e(r_L) using  fa_GBfin.csv
*Estonia
polychoric q55 q56 q57 q60 q61 q63 q64 q65 q66 q67 q68 q69 q70 q71  [pw=w2weight] if cntry ==1
display r(sum_w) // number of cases (with listwise deletion) used to generate the matrix
matrix r = r(R) //  store the polychoric correlation matrix
factormat r, n(602) names(Need Adv Less BadJob Always ChAtten PaKnow Act PaWorry ChTal AwareExp BasicNeed PaLife LatToys)  pcf factor(4)
rotate 
esttab e(r_L) using  fa_estonia_final.csv
*rotated factor loadings are returned in matrix e(r_L)

esttab e(L) using  fa_est.csv
*GB
polychoric q55 q56 q57 q60 q61 q63 q64 q65 q66 q67 q68 q69 q70 q71  [pw=w2weight] if cntry ==2
display r(sum_w) // number of cases (with listwise deletion) used to generate the matrix
matrix r = r(R) //  store the polychoric correlation matrix
factormat r, n(655) pcf factor(4)
rotate 

esttab e(L) using  fa_gb.csv
*****************************************************************************

*Factor Analysis (Polychoric) - 7 items, by country
*use "ESS_Cronos_W2_7items.dta" 

*Great Britain                                                                        
polychoric q59 q63 q65 q66 q67 q69 q70 [pw=w2weight] if cntry ==2 
display r(sum_w) // number of cases (with listwise deletion) used to generate the matrix
matrix r = r(R) //  store the polychoric correlation matrix
factormat r, n(628) names (FamRoutine  ChAttention Activities ChTalents BasicNeeds PaLife) pcf factor(2)
rotate 

*Estonia
polychoric q59 q63 q65 q66 q67 q69 q70 [pw=w2weight] if cntry ==1 
display r(sum_w) // number of cases (with listwise deletion) used to generate the matrix
matrix r = r(R) //  store the polychoric correlation matrix
factormat r, n(601) pcf factor(2)
rotate 

*Slovenia                                                                       
polychoric q59 q63 q65 q66 q67 q69 q70 [pw=w2weight] if cntry==3 
display r(sum_w) // number of cases (with listwise deletion) used to generate the matrix
matrix r = r(R) //  store the polychoric correlation matrix
factormat r, n(455) pcf factor(2)
rotate 
